Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workviews
Class CreateWorkListView2

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workviews.CreateWorkListView2

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<WorkListIDResult>, net.customware.gwt.dispatch.shared.Action<WorkListIDResult>

    public class CreateWorkListView2

extends java.lang.Object
implements OSAction<WorkListIDResult>

Create a Work List View in BRM

Filtering, ordering and paging options can be specified to determine which items are returned.

This version of the Action allows additional parameters over CreateWorkListView

These include the ability to get a Global Work List and to show ALLOCATED items for an Entity Work List

©2013 TIBCO Software Inc.

Since:
  2.2.0
See Also:
  ``

Constructor Summary
`CreateWorkListView2(java.lang.String name, java.lang.String description, java.lang.String customData, OrgModelEntity entity, java.lang.String order, java.lang.String filter, java.util.ArrayList<OrgModelEntity> authors, java.util.ArrayList<OrgModelEntity> users, java.lang.String ownerId, boolean publicView, boolean getAllocatedItems)` Constructs a new CreateWorkListView2 Action.
`CreateWorkListView2(java.lang.String name, java.lang.String description, java.lang.String customData, java.lang.String order, java.lang.String filter, java.util.ArrayList<OrgModelEntity> authors, java.util.ArrayList<OrgModelEntity> users, java.lang.String ownerId, boolean publicView, TibcoBaseView2.resourcesRequiredEnum resourcesRequired)` Constructs a new CreateWorkListView2 Action.

Method Summary
`java.util.ArrayList<OrgModelEntity>` | `getAuthors()` List of the authors of the View
`java.lang.String` | `getCustomData()` Custom data to associate with the View.
`java.lang.String` | `getDescription()` Description of the View
`OrgModelEntity` | `getEntity()` Entity of the work list to View
`java.lang.String` | `getFilter()` Filter string to pass to BRM.
`java.lang.String` | `getName()` Name of the View
`java.lang.String` | `getOrder()` Order string to pass to BRM.
`java.lang.String` | `getOwnerId()` Owner of the view
`TibcoBaseView2.resourcesRequiredEnum` | `getResourcesRequired()` If the view is of the Global Work List or a users Own Work List
`java.util.ArrayList<OrgModelEntity>` | `getUsers()` List of the owners of the View
`boolean` | `isGetAllocatedItems()` If the view should show ALLOCATED or OFFERED items ( default )
`boolean` | `isPublicView()` If the view is public

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateWorkListView2

    public CreateWorkListView2(java.lang.String name,
                               java.lang.String description,
                               java.lang.String customData,
                               OrgModelEntity entity,
                               java.lang.String order,
                               java.lang.String filter,
                               java.util.ArrayList<OrgModelEntity> authors,
                               java.util.ArrayList<OrgModelEntity> users,
                               java.lang.String ownerId,
                               boolean publicView,
                               boolean getAllocatedItems)

  Constructs a new CreateWorkListView2 Action.

  This constructor should be used when creating a view for a particular Entity in the Org Model

  Parameters:
    `entity` - Org model this View will retrieve the items for.
    `name` - Name of the View.
    `description` - Description of the View.
    `customData` - Custom ( client-specific ) data to associate with the view.
    `order` - Order string to pass to BRM.

    An example would be :

    "appInstance ASC , appInstanceDescription ASC , id ASC , priority ASC , startDate ASC , endDate ASC , attribute1 ASC , attribute2 ASC , attribute3 ASC , attribute4 ASC"

    See the BRM Filter and Sort documentation for more details.

    `filter` - Filer string to pass to BRM.

    An example would be :

    "appInstance='instance' AND appInstanceDescription>'process1' AND description<'Step2'"

    See the BRM Filter and Sort documentation for more details.

    `authors` - List of the Authors for this View. Authors are allowed to edit the view.
    `owners` - List of the users for this View. Users will be able to see the view in their BPM client.
    `ownerId` - User ID ( GUID ) of the owner of the view.
    `publicView` - If the view is public anyone can access ( but not edit ) the view.
    `getAllocatedItems` - If the view should show ALLOCATED items or OFFERED ( default )

### CreateWorkListView2

    public CreateWorkListView2(java.lang.String name,
                               java.lang.String description,
                               java.lang.String customData,
                               java.lang.String order,
                               java.lang.String filter,
                               java.util.ArrayList<OrgModelEntity> authors,
                               java.util.ArrayList<OrgModelEntity> users,
                               java.lang.String ownerId,
                               boolean publicView,
                               TibcoBaseView2.resourcesRequiredEnum resourcesRequired)

  Constructs a new CreateWorkListView2 Action.

  This constructor should be used when creating a view for a Global Work List or the Users Own Work List

  Parameters:
    `name` - Name of the View.
    `description` - Description of the View.
    `customData` - Custom ( client-specific ) data to associate with the view.
    `order` - Order string to pass to BRM.

    An example would be :

    "appInstance ASC , appInstanceDescription ASC , id ASC , priority ASC , startDate ASC , endDate ASC , attribute1 ASC , attribute2 ASC , attribute3 ASC , attribute4 ASC"

    See the BRM Filter and Sort documentation for more details.

    `filter` - Filer string to pass to BRM.

    An example would be :

    "appInstance='instance' AND appInstanceDescription>'process1' AND description<'Step2'"

    See the BRM Filter and Sort documentation for more details.

    `authors` - List of the Authors for this View. Authors are allowed to edit the view.
    `owners` - List of the users for this View. Users will be able to see the view in their BPM client.
    `ownerId` - User ID ( GUID ) of the owner of the view.
    `publicView` - If the view is public anyone can access ( but not edit ) the view.
    `resourcesRequired` - If the view is of the Global Work List or a users Own Work List

Method Detail

### getName

    public java.lang.String getName()

  Name of the View

  Returns:
    Name of the View.

### getDescription

    public java.lang.String getDescription()

  Description of the View

  Returns:
    Description of the View.

### getCustomData

    public java.lang.String getCustomData()

  Custom data to associate with the View.

  Returns:
    Custom data associated with the View.

### getOrder

    public java.lang.String getOrder()

  Order string to pass to BRM.

  An example would be :

  "appInstance ASC , appInstanceDescription ASC , id ASC , priority ASC , startDate ASC , endDate ASC , attribute1 ASC , attribute2 ASC , attribute3 ASC , attribute4 ASC"

  See the BRM Filter and Sort documentation for more details.

  Returns:
    Returns the order.

### getFilter

    public java.lang.String getFilter()

  Filter string to pass to BRM.

  An example would be :

  "appInstance='instance' AND appInstanceDescription>'process1' AND description<'Step2'"

  See the BRM Filter and Sort documentation for more details.

  Returns:
    Returns the filter.

### getEntity

    public OrgModelEntity getEntity()

  Entity of the work list to View

  This value only applies if the resourcesRequired value is not set

  Returns:
    Returns the entity.

### getAuthors

    public java.util.ArrayList<OrgModelEntity> getAuthors()

  List of the authors of the View

  Returns:
    Returns the list of authors.

### getUsers

    public java.util.ArrayList<OrgModelEntity> getUsers()

  List of the owners of the View

  Returns:
    Returns the list of owners.

### getOwnerId

    public java.lang.String getOwnerId()

  Owner of the view

  Returns:
    Returns the owner of the view, this will always be a resource GUID.

### isPublicView

    public boolean isPublicView()

  If the view is public

### isGetAllocatedItems

    public boolean isGetAllocatedItems()

  If the view should show ALLOCATED or OFFERED items ( default )

  This value only applies if the resourcesRequired value is not set.

  This flag only applies if the selected Entity is not a RESOURCE, if the selected Entity is a RESOURCE this flag will be ignored as both ALLOCATED and OFFERED items are shown for a RESOURCE

### getResourcesRequired

    public TibcoBaseView2.resourcesRequiredEnum getResourcesRequired()

  If the view is of the Global Work List or a users Own Work List

  If this value is set the entity and the getAllocatedItems values in the view are ignored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.